Bug 905370 - rhevm-manage-domains: Warning message should appear before confirmation stage during last existing domain deletion
rhevm-manage-domains: Warning message should appear before confirmation stage...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Yair Zaslavsky
Pavel Stehlik
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-01-29 04:30 EST by Oded Ramraz
Modified: 2016-02-10 14:35 EST (History)
7 users (show)

See Also:
Fixed In Version: sf7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11800 None None None Never

  None (edit)
Description Oded Ramraz 2013-01-29 04:30:29 EST
Description of problem:

Warning message should appear before confirmation stage during existing domain deletion ( see additional information )
 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
[root@aqua-rhel ~]# rhevm-manage-domains -action=delete -domain=qa.lab.tlv.redhat.com
Are you sure you like to delete domain qa.lab.tlv.redhat.com (yes/no) : 
yes
WARNING: Domain qa.lab.tlv.redhat.com is the last domain in the configuration. After deleting it you will have to either add another domain, or to use the internal admin user in order to login.
Successfully deleted domain qa.lab.tlv.redhat.com. Please remove all users and groups of this domain using the Administration portal or the API. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully
Comment 2 Oded Ramraz 2013-02-17 15:52:00 EST
[root@aqua-rhel yum.repos.d]# rhevm-manage-domains -action=delete -domain=qa.lab.tlv.redhat.com
WARNING: Domain qa.lab.tlv.redhat.com is the last domain in the configuration. After deleting it you will have to either add another domain, or to use the internal admin user in order to login.
Are you sure you like to delete domain qa.lab.tlv.redhat.com (yes/no) : 

Verified sf7
Comment 3 Itamar Heim 2013-06-11 05:01:42 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 05:01:47 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:02:09 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:02:51 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:32:07 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.